public class PixelFilterAsPixelBufferFilter implements PixelBufferFilter {
	private PixelFilter pixelFilter;

	public PixelFilterAsPixelBufferFilter(PixelFilter pixelFilter) {
		this.pixelFilter = pixelFilter;
	}
	
	public void filter(int width, int height, int[] pixels) {
		for (int i=0, n=pixels.length; i<n; i++) {
			pixels[i] = pixelFilter.filter(pixels[i]);
		}
	}
	
	public String toString() {
		return pixelFilter.toString();
	}
}